## gedit-menu-extension gedit-menu-extension |

## Synopsis

    struct              GeditMenuExtension;
    GeditMenuExtension * gedit_menu_extension_new           (GMenu *menu);
    void                gedit_menu_extension_append_menu_item
                                                            (GeditMenuExtension *menu,
                                                             GMenuItem *item);
    void                gedit_menu_extension_prepend_menu_item
                                                            (GeditMenuExtension *menu,
                                                             GMenuItem *item);
    void                gedit_menu_extension_remove_items   (GeditMenuExtension *menu);

## Object Hierarchy

      GObject
       +----GeditMenuExtension

## Properties

      "menu"                     GMenu*                : Read / Write / Construct Only

## Description

## Details

### struct GeditMenuExtension

    struct GeditMenuExtension;

### gedit_menu_extension_new ()

    GeditMenuExtension * gedit_menu_extension_new           (GMenu *menu);

### gedit_menu_extension_append_menu_item ()

    void                gedit_menu_extension_append_menu_item
                                                            (GeditMenuExtension *menu,
                                                             GMenuItem *item);

### gedit_menu_extension_prepend_menu_item ()

    void                gedit_menu_extension_prepend_menu_item
                                                            (GeditMenuExtension *menu,
                                                             GMenuItem *item);

### gedit_menu_extension_remove_items ()

    void                gedit_menu_extension_remove_items   (GeditMenuExtension *menu);

## Property Details

### The `"menu"` property

      "menu"                     GMenu*                : Read / Write / Construct Only

The main menu.